View Issue Details

IDProjectCategoryView StatusLast Update
0000651SymmetricDSBugpublic2014-02-02 20:52
ReportermhanesAssigned Tochenson 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.1 
Target Version3.0.2Fixed in Version3.0.2 
Summary0000651: Initial Load Order not being honored.
DescriptionHave a working database to reproduce this issue. It appears that initial load order is not being honored when specified. Instead, tables are getting reordered (and incorrectly at that) based on foreign keys. Notes from the forum post which might help. Seems to be an issue in the sorting algorithm itself for determining load order.

One Clue I can provide is the issue is with tables which have FKs in more than one table. e.g. Party_Stations have FK in Party_Master and Stations. What I have observed is For Initial Load tables are being processed alphabetically and as soon as FK is detected the Table is moved after the FK table. So it might be happening like this when Party_Stations is being processed with First FK its moved after Party_master and when second FK is detected its moved after stations table which is much above party_master.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master bae65dac

2012-06-17 17:11:34

chenson

Details Diff
0000651: Initial Load Order not being honored
0000651
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2012-06-15 14:32 mhanes New Issue
2012-06-15 14:32 mhanes Status new => assigned
2012-06-15 14:32 mhanes Assigned To => chenson
2012-06-17 13:16 chenson Target Version => 3.0.2
2012-06-18 12:04 chenson Status assigned => resolved
2012-06-18 12:04 chenson Resolution open => fixed
2012-06-18 12:09 chenson Status resolved => feedback
2012-06-18 12:09 chenson Resolution fixed => reopened
2012-06-18 12:09 chenson Fixed in Version => 3.0.2
2012-06-18 12:09 chenson Status feedback => resolved
2012-06-18 12:09 chenson Resolution reopened => fixed
2012-06-23 11:48 admin Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r5880
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master bae65dac